%define major   0
%define gmajor	1.0
%define libname %mklibname %{name} %{major}
%define girname %mklibname %{name}-gir %{gmajor}
%define devname %mklibname -d %{name}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gsound
Version:	1.0.2
Release:	%mkrel 2
Summary:	Small gobject library for playing system sounds
Group:		System/Libraries
License:	LGPLv2
URL:		https://wiki.gnome.org/Projects/GSound
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	vala-tools
Requires:	typelib(GSound)

%description
GSound is a small library for playing system sounds.
It's designed to be used via GObject Introspection,
and is a thin wrapper around the libcanberra C library

%package -n %{libname}
Summary:	Dynamic libraries for %{name}
Group:		System/Libraries
Recommends:	%{name} = %{version}

%description -n %{libname}
this package contains dynamic libraries for gsound.

%package -n %{girname}
Summary:        GObject Introspection interface library for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface library for %{name}.

%package -n %{devname}
Summary:        Development files for %{name}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description    -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure2_5x \
	--enable-vala \
	--disable-static
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc COPYING README
%{_bindir}/gsound-play

%files -n %{girname}
%{_libdir}/girepository-1.0/GSound-%{gmajor}.typelib

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/gsound.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GSound-1.0.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/gsound
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gsound.*


%changelog
* Mon Feb 15 2016 umeabot <umeabot> 1.0.2-2.mga6
+ Revision: 960570
- Mageia 6 Mass Rebuild

* Sun Nov 01 2015 ovitters <ovitters> 1.0.2-1.mga6
+ Revision: 897095
- new version 1.0.2

* Mon Jun 29 2015 wally <wally> 1.0.1-2.mga6
+ Revision: 847447
- split out gir typelibs
- clean .spec a bit

* Mon Jun 22 2015 ovitters <ovitters> 1.0.1-1.mga6
+ Revision: 839759
- fix group
- imported package gsound


* Sat May 02 2015 Crispin Boylan <crisb@mandriva.org> 1.0.1-1
+ Revision: 54be846
- BR vapigen


